List blog posts
curl --request GET \
--url https://{domain}/api/application/modules/blog/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/blog/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/blog/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/blog/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/blog/posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/blog/posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/blog/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 2,
"title": "New Frankfurt location",
"slug": "new-frankfurt-location",
"url": "https://billing.example.com/blog/new-frankfurt-location",
"description": "Servers in Frankfurt are now available for every plan.",
"featured_image": "https://billing.example.com/storage/blog/featured-images/RBrBdBZsH05WWVsZNmFL4nRuFGr761TMf9a9Eat8.png",
"is_featured": false,
"views": 8,
"author": {
"id": 2,
"name": "Alex Morgan"
},
"meta_title": "Frankfurt location",
"meta_description": "Every plan can now be deployed in Frankfurt.",
"published_at": "2026-03-03T13:33:21Z",
"created_at": "2026-03-03T13:33:21Z",
"updated_at": "2026-07-30T07:34:43Z",
"status": "published"
},
{
"id": 1,
"title": "Spring sale: 30 percent off game servers",
"slug": "spring-sale",
"url": "https://billing.example.com/blog/spring-sale",
"description": "All Minecraft and Rust plans are 30 percent off until Sunday.",
"featured_image": "https://billing.example.com/storage/blog/featured-images/LL6G2vWRsmwuKfg5NUpQ5wkyxOG0wgnRZc1n8pM3.png",
"is_featured": false,
"views": 1,
"author": {
"id": 2,
"name": "Alex Morgan"
},
"meta_title": "Spring sale",
"meta_description": "30 percent off all game servers until Sunday.",
"published_at": "2026-03-03T13:32:09Z",
"created_at": "2026-03-03T13:32:09Z",
"updated_at": "2026-03-03T13:35:14Z",
"status": "published"
}
],
"meta": {
"request_id": "966a4d86-55e4-4d26-99e0-0298bc62c957",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 2,
"last_page": 1
}
}
}Blog
List blog posts
Blog posts, newest first. Use it to show your latest posts on another site.
Permission: modules.blog.posts.read
GET
/
application
/
modules
/
blog
/
posts
List blog posts
curl --request GET \
--url https://{domain}/api/application/modules/blog/posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/blog/posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/blog/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/blog/posts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/blog/posts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/blog/posts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/blog/posts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 2,
"title": "New Frankfurt location",
"slug": "new-frankfurt-location",
"url": "https://billing.example.com/blog/new-frankfurt-location",
"description": "Servers in Frankfurt are now available for every plan.",
"featured_image": "https://billing.example.com/storage/blog/featured-images/RBrBdBZsH05WWVsZNmFL4nRuFGr761TMf9a9Eat8.png",
"is_featured": false,
"views": 8,
"author": {
"id": 2,
"name": "Alex Morgan"
},
"meta_title": "Frankfurt location",
"meta_description": "Every plan can now be deployed in Frankfurt.",
"published_at": "2026-03-03T13:33:21Z",
"created_at": "2026-03-03T13:33:21Z",
"updated_at": "2026-07-30T07:34:43Z",
"status": "published"
},
{
"id": 1,
"title": "Spring sale: 30 percent off game servers",
"slug": "spring-sale",
"url": "https://billing.example.com/blog/spring-sale",
"description": "All Minecraft and Rust plans are 30 percent off until Sunday.",
"featured_image": "https://billing.example.com/storage/blog/featured-images/LL6G2vWRsmwuKfg5NUpQ5wkyxOG0wgnRZc1n8pM3.png",
"is_featured": false,
"views": 1,
"author": {
"id": 2,
"name": "Alex Morgan"
},
"meta_title": "Spring sale",
"meta_description": "30 percent off all game servers until Sunday.",
"published_at": "2026-03-03T13:32:09Z",
"created_at": "2026-03-03T13:32:09Z",
"updated_at": "2026-03-03T13:35:14Z",
"status": "published"
}
],
"meta": {
"request_id": "966a4d86-55e4-4d26-99e0-0298bc62c957",
"pagination": {
"current_page": 1,
"per_page": 2,
"total": 2,
"last_page": 1
}
}
}Authorizations
Query Parameters
Was this page helpful?

